Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::trailer_order Struct Reference

Sorts fields in correct trailer order. More...

`#include <MessageSorters.h>`

List of all members.

## Static Public Member Functions

static bool | compare (const int x, const int y)

## Detailed Description

Sorts fields in correct trailer order.

Definition at line 69 of file MessageSorters.h.

## Member Function Documentation

static bool FIX::trailer_order::compare | ( | const int | x,
|  | const int | y |
| ) |  |  | `[inline, static]`

Definition at line 71 of file MessageSorters.h.

References FIX::FIELD::CheckSum.

Referenced by FIX::message_order::operator()().

    00072   {
    00073     if ( x == FIELD::CheckSum ) return false;
    00074     else
    00075       if ( y == FIELD::CheckSum ) return true;
    00076       else return x < y;
    00077   }

The documentation for this struct was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/MessageSorters.h